#ifndef LISTUSERSSERVICE_HPP
#define LISTUSERSSERVICE_HPP

#include "../Service.hpp"
#include <string>

namespace mole {

    namespace serv {
	class ListUsersResponse;

	class ListUsersService : public Service {

	    public :
		ListUsersService(mole::ctx::Request *);
		ListUsersService();
		~ListUsersService();

		ListUsersResponse * getResponse();

		Service * newInvocableService(mole::ctx::Request * r);

	    protected :
	};

    }; // end serv

}; // end mole

#endif
